.navbar {
    background-color: #1b2846ce;
    color: white;
    padding: 20px 20px;
  }
  
  
  .navbar .favicon {
    position: absolute; /* Fissa la favicon rispetto alla navbar */ 
    display: flex;
    align-items: center;
  }
  
  .navbar .favicon-img {
    width: 40px; /* Dimensione della favicon */
    height: 40px;
    border-radius: 10%; /* Se vuoi rendere l'immagine rotonda */
    margin-bottom: 7px;
  }
  
  
  .navbar-nav {
        justify-content: center !important;     /* Centra orizzontalmente gli elementi */
        display: flex; /* Assicura che flexbox sia attivo */
        margin: 0 auto; /* Garantisce il centraggio nei layout con margini */
        width: 100%; /* Opzionale: garantisce che la navbar occupi tutta la larghezza */
        gap: 20px;
       
       
    }
    
  
  /* Stile per la navbar */
  .navbar-nav .nav-item .nav-link {
    color: white;
    text-decoration: none;
    font-weight: 500;
    position: relative;
    transition: color 0.3s ease, transform 0.3s ease;
  }
  
  /* Effetto al passaggio del cursore */
  .navbar-nav .nav-item .nav-link:hover {
    color: #1385ff; /* Cambia colore */
    transform: scale(1.1); /* Leggero ingrandimento */
  }
  
  /* Aggiungi una linea decorativa animata sotto il link */
  .navbar-nav .nav-item .nav-link::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px; /* Distanza dalla scritta */
    width: 0;
    height: 2px;
    background-color: #1385ff;
    transition: width 0.3s ease;
  }
  
  /* Espandi la linea decorativa al passaggio del cursore */
  .navbar-nav .nav-item .nav-link:hover::after {
    width: 100%;
  }
  
  @media (max-width: 768px) {
    .navbar .collapse {
      justify-content: start; /* Per allineare correttamente su dispositivi piccoli */
      color: #ffffff;
    
    }
  }
  
  
  .navbar-toggler{
    
  padding: var(--bs-navbar-toggler-padding-y) var(--bs-navbar-toggler-padding-x);
  font-size: var(--bs-navbar-toggler-font-size);
  line-height: 1;
  color: var(--bs-navbar-color);
  background-color: transparent;
  border: var(--bs-border-width) solid var(--bs-navbar-toggler-border-color);
  border-radius: var(--bs-navbar-toggler-border-radius);
  transition: var(--bs-navbar-toggler-transition);
  margin-left: auto;
  }
  
    
    /* Favicon */
    .favicon {
      position: absolute;
      left: 50px;
      bottom: 10px;
    }
    
    .favicon img {
      width: 45px;
      height: 45px;
      object-fit: cover;
      border-radius: 10px;
    }
    
  
    /* Contenitore dei social media */
  .social-icons1 {
    position: absolute;
    left: 95%;
    display: flex;
    align-items: center;
    gap: 15px;
  }
  
  /* Icone sociali */
  .social-icon1 {
    font-size: 20px;
    color: #ffffff;
    text-decoration: none;
    transition: color 0.3s ease;
  }
  
  .social-icon1:hover {
    color: #007bff; /* Colore al passaggio del mouse */
  }


/* Social visibili solo su mobile all'interno del menu toggler */
@media (max-width: 768px) {
  .navbar-collapse {
    position: relative; /* Permette il posizionamento relativo */
  }

  .social-icons1 {
    display: flex;
    justify-content: center;
    gap: 15px;
    position: absolute; /* Posiziona le icone in basso */
    bottom: 20px; /* Distanza dal fondo del menu */
    left: 50%;
    transform: translateX(-50%);
  }

  /* Mostra i social solo quando il menu è aperto */
  .navbar-collapse.show .social-icons1 {
    display: flex;
  }

  /* Nasconde di default i social */
  .social-icons1 {
    display: none;
  }
}


/* Header con Banner */
.header {
  position: relative;
  height: 400px;
  color: #fff;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.header-banner {
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 600px;
background: url(aerre/assets/images/banner.png) center center/cover;
z-index: -1;
filter: brightness(50%);
}

.header-content {
  position: relative;
  z-index: 1;
}

.header h1 {
  font-size: 3rem;
  margin-bottom: 0.5rem;
}

.header p {
  font-size: 1.2rem;
}


/* Divisore distanziante */
.divider {
  width: 100%;
  height: 60px;  
  border: none;
  display: block;
}



 /* Stile Generale */
.about-us {
    padding: 80px 20px;
    background-color: #f9f9f9;
    font-family: 'Arial', sans-serif;
    color: #1e3a5f;
}

.about-container {
    max-width: 1200px;
    margin: 0 auto;
}

.about-header {
    text-align: center;
    margin-bottom: 40px;
}

.about-title {
    font-size: 3em;
    font-weight: bold;
    color: #1e3a5f;
    margin-bottom: 10px;
}

.about-tagline {
    font-size: 1.2em;
    color: #666;
    font-style: italic;
}

/* Layout della Sezione */
.about-body {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    align-items: center;
    margin-top: 40px;
    flex-wrap: wrap;
    animation: fadeInContent 1s ease-out forwards;
}

.about-image {
    flex: 1;
    max-width: 55%;
    position: relative;
    border-radius: 12px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
}

.image-overlay {
    position: relative;
    overflow: hidden;
    border-radius: 12px;
}

.image-overlay img {
    width: 100%;
    transition: transform 0.5s ease;
}

.image-overlay:hover img {
    transform: scale(1.1);
}

.about-info {
    flex: 1;
    max-width: 40%;
    text-align: left;
}

.about-description,
.about-vision {
    font-size: 1.1em;
    color: #555;
    line-height: 1.6;
    margin-bottom: 20px;
}

/* --- Responsive Design --- */
@media (max-width: 1024px) {
  .about-body {
      flex-direction: column;
      align-items: center;
      text-align: center;
  }

  .about-image {
      max-width: 80%;
  }

  .about-info {
      max-width: 90%;
  }
}

@media (max-width: 768px) {
  .about-title {
      font-size: 2.5em;
  }

  .about-tagline {
      font-size: 1.1em;
  }

  .about-image {
      max-width: 90%;
  }

  .about-info {
      max-width: 100%;
  }
}

@media (max-width: 480px) {
  .about-title {
      font-size: 2em;
  }

  .about-tagline {
      font-size: 1em;
  }

  .about-description,
  .about-vision {
      font-size: 1em;
  }

  .about-image {
      max-width: 100%;
  }
}


/* --- SEZIONE CHI SIAMO --- */
.about-us {
  padding: 60px 20px;
  background: #fff;
}

.about-us .container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
  max-width: 1100px;
  margin: auto;
  flex-wrap: wrap;
}

.about-text {
  flex: 1;
  text-align: left;
  max-width: 500px;
}

.about-us h2 {
  font-size: 2.5em;
  color: #333;
  margin-bottom: 15px;
}

.about-us p {
  font-size: 1.2em;
  color: #555;
  line-height: 1.6;
  margin-bottom: 10px;
}

.about-image {
  flex: 1;
  max-width: 600px;
}

.about-image img {
  width: 100%;
  border-radius: 10px;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease;
}

.about-image img:hover {
  transform: scale(1.05);
}

/* --- RESPONSIVE DESIGN --- */
@media (max-width: 768px) {
  .about-us .container {
      flex-direction: column-reverse; /* Inverte l'ordine: immagine prima del testo */
      text-align: center;
  }

  .about-text {
      text-align: center;
  }
}

/* --- SEZIONE CHI SIAMO --- */
.company-info {
  display: flex;
  justify-content: center; /* Centra il contenuto orizzontalmente */
  align-items: center; /* Centra verticalmente (se necessario) */
  text-align: center;
}

.company-info .wrapper {
  display: flex;
  flex-direction: column;
  align-items: center; /* Centra tutti gli elementi dentro il wrapper */
  justify-content: center;
  text-align: center;
  width: 100%;
}

.company-text {
  max-width: 600px; /* Per evitare che il testo sia troppo largo */
  text-align: center;
}

.company-info p {
  font-size: 1.2em;
  color: #555;
  line-height: 1.6;
  margin: 10px auto; /* Assicura che il paragrafo sia centrato */
}



.company-text {
  flex: 1;
  max-width: 500px;
  text-align: center;
}

.company-info h2 {
  font-size: 2.5em;
  color: #333;
  margin-bottom: 15px;
}



.company-info p strong {
  color: #222;
  font-weight: bold;
}

/* --- RESPONSIVE DESIGN --- */
@media (max-width: 768px) {
  .company-info .wrapper {
      flex-direction: column;
      text-align: center;
  }

   .company-text {
      max-width: 100%;
      text-align: center;
  }
}







  /* Footer Styling */
 footer {
    background: linear-gradient(135deg, #111, #333);
    color: #fff;
    padding: 60px 20px;
    font-family: 'Arial', sans-serif;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);
    overflow: hidden;
  }
  
  .footer-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    max-width: 1200px;
    margin: 0 auto;
    transform: translateY(50px);
    opacity: 0;
    animation: fadeInUp 1s ease-in-out forwards;
  }
  
  .footer-section {
    flex: 1;
    padding: 0 30px;
    position: relative;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUpSection 1s ease-in-out forwards;
  }
  
  .footer-section:nth-child(1) {
    animation-delay: 0.2s;
  }
  
  .footer-section:nth-child(2) {
    animation-delay: 0.4s;
  }
  
  .footer-section:nth-child(3) {
    animation-delay: 0.6s;
  }
  
  .footer-section h3 {
    font-size: 1.6rem;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 2px;
    margin-bottom: 20px;
    position: relative;
    z-index: 1;
    transition: color 0.3s ease;
  }
  
  .footer-section h3::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background: #008cff;
    transform: scaleX(0);
    transform-origin: bottom right;
    transition: transform 0.3s ease-in-out;
    z-index: 0;
  }
  
  .footer-section h3:hover::before {
    transform: scaleX(1);
    transform-origin: bottom left;
  }
  
  .footer-section h3:hover {
    color: #008cff;
  }
  
  .footer-section p {
    font-size: 1.1rem;
    line-height: 1.7;
    opacity: 0.8;
  }
  
  .footer-section a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s;
  }
  
  .footer-section a:hover {
    color: #008cff;
  }
  
  .footer-social {
    text-align: center;
    margin-top: 30px;
  }
  
  .social-icons {
    display: flex;
    justify-content: flex-start;  /* Sposta le icone a sinistra */
    gap: 40px;
  }
  
  .social-icon {
    color: #f1f1f1;
    font-size: 2.5rem;
    transition: transform 0.3s ease, color 0.3s ease, font-size 0.3s ease;
    position: relative;
    z-index: 1;
  }
  
  .social-icon:hover {
    color: #00a6f3;
    transform: scale(1.5) rotate(360deg);
    font-size: 3rem;
  }
  

  .footer-nav {
    list-style: none;
    padding: 0;
  }
  
  .footer-nav li {
    margin-bottom: 10px;
  }
  
  .footer-nav a {
    color: #fff;
    text-decoration: none;
    font-size: 1.1rem;
    transition: color 0.3s ease;
  }
  
  .footer-nav a:hover {
    color: #008cff;
  }
  
  
   /* Footer Bottom */
   .footer-bottom {
    text-align: center;
    margin-top: 30px;
    font-size: 0.9rem;
    color: rgba(255, 255, 255, 0.8);
  }
  

  @media (max-width: 768px) {
    .footer-container {
      flex-direction: column;
      align-items: flex-start;
    }
  
    .footer-section {
      padding: 20px 0;
    }
  
    .social-icons {
      flex-direction: column;
    }
  }
  
  /* Animations */
  @keyframes fadeInUp {
    to {
      transform: translateY(0);
      opacity: 1;
    }
  }
  
  @keyframes fadeInUpSection {
    to {
      transform: translateY(0);
      opacity: 1;
    }
  }